Bug 506739 - createDurableSubscriber needs to throw InvalidDestinationException if a temp topic is used.
createDurableSubscriber needs to throw InvalidDestinationException if a temp ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-java (Show other bugs)
1.1.1
All Linux
low Severity medium
: 1.1.6
: ---
Assigned To: Rajith Attapattu
Jan Sarenik
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-18 10:32 EDT by Rajith Attapattu
Modified: 2009-07-14 13:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:32:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
bug fix and test case (4.63 KB, patch)
2009-06-22 09:46 EDT, Rafael H. Schloming
no flags Details | Diff
reproducer (2.92 KB, text/x-java)
2009-07-02 10:12 EDT, Jan Sarenik
no flags Details

  None (edit)
Description Rajith Attapattu 2009-06-18 10:32:30 EDT
Description of problem:
Currently if a temp topic is passed in to the createDurableSubscriber method, an exception is not thrown. As per the JMS spec we need to throw an InvalidDestinationException.

Version-Release number of selected component (if applicable):
1.1.2

How reproducible:
Always

Steps to Reproduce:
Topic t = session.createTemporaryTopic();
TopicSubscriber ts = createDurableSubscriber(t,"myTopic");
  
Actual results:
No Exception thrown

Expected results:
InvalidDestinationException should be thrown
Comment 1 Rafael H. Schloming 2009-06-22 09:46:01 EDT
Created attachment 348903 [details]
bug fix and test case
Comment 2 Gordon Sim 2009-06-26 05:25:21 EDT
Fixed in qpid-java-0.5.751061-8
Comment 3 Jan Sarenik 2009-07-02 10:12:03 EDT
Created attachment 350276 [details]
reproducer

Put into /usr/share/doc/rhm-0.5/java/org/apache/qpid/example/jmsexample/pubsub/
and then

 cd /usr/share/doc/rhm-0.5/java
 ./runSample.sh org/apache/qpid/example/jmsexample/pubsub/Publisher
Comment 5 errata-xmlrpc 2009-07-14 13:32:34 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1153.html

Note You need to log in before you can comment on or make changes to this bug.